<div class="settings">
    <textarea placeholder="Enter your module JSON" [(ngModel)]="privateModuleJson"></textarea>
    <button (click)="setModule()">Set Module</button>
    <button (click)="getAnswers()">Get Answers</button>
</div>
<div class=module *ngIf="question">
    <h4 [innerText]="nodesLeft"></h4>

    <h1 [innerText]="questionstring"></h1>

    <div>
        <button (click)="back()">Previous</button>
        <button *ngFor="let ans of question.answers" [innerText]="ans" (click)="enterFlow(ans)"></button>
    </div>
</div>